package studio.junk.jam.coloritum.entities.components;

import com.badlogic.ashley.core.Component;
import com.badlogic.ashley.core.ComponentMapper;

import studio.junk.jam.coloritum.GameState;

public class Source implements Component {
	public static final ComponentMapper<Source> mapper = ComponentMapper.getFor(Source.class);

	public float deltaTimeCounter = 0f;

	public int emissionPeriod;

	public Source(int emissionPeriod) {
		this.emissionPeriod = emissionPeriod;
	}

	public Source() {
		this(GameState.MAX_EMISSION_PERIOD);
	}
}
